package com.yandex.syrinxsdk.sample.helper;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

public final class ExtrasHelper {

    private ExtrasHelper() {
        throw new UnsupportedOperationException();
    }

    public static void putString(@NonNull Bundle bundle, @NonNull String key, @Nullable String value) {
        bundle.putString(key, value);
    }

    @NonNull
    public static String getString(@Nullable Bundle bundle, @NonNull String argName) {
        String arg = "";
        if (bundle != null) {
            arg = bundle.getString(argName);
        }
        return arg == null ? "" : arg;
    }

    public static void putBoolean(@NonNull Bundle bundle, @NonNull String key, boolean value) {
        bundle.putBoolean(key, value);
    }

    public static boolean getBoolean(@NonNull Bundle bundle, @NonNull String key) {
        return bundle.getBoolean(key, false);
    }


}
